Package org.slf4j.impl

# Class StaticMDCBinder

java.lang.Object
org.slf4j.impl.StaticMDCBinder

public class StaticMDCBinder extends Object
This implementation is bound to `LogbackMDCAdapter`.

Author:
  Ceki Gülcü

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StaticMDCBinder`
`SINGLETON`
The unique instance of this class.

## Method Summary

Modifier and Type
Method
Description
`org.slf4j.spi.MDCAdapter`
`getMDCA()`
Currently this method always returns an instance of `StaticMDCBinder`.
`String`
`getMDCAdapterClassStr()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SINGLETON

public static final StaticMDCBinder SINGLETON
The unique instance of this class.

## Method Details

### getMDCA

public org.slf4j.spi.MDCAdapter getMDCA()
Currently this method always returns an instance of `StaticMDCBinder`.

### getMDCAdapterClassStr

public String getMDCAdapterClassStr()